var React = require('react'),
    Router = require('react-router');

var AppliedFiltersList = React.createClass({
    render : function() {
        var self = this;
        return (<div>
            
           {this.props.filters.map(function(acf) {
                                                              return (<span>
                                                                {acf.name} : {acf.value} <button onClick={self.props.onRemove.bind(self, acf.name)}>X</button>

                                                                </span>)
                                                            })} 
            
            </div>)
          
    }
});

module.exports = AppliedFiltersList;
